SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
variators.c File Reference
`#include <SDL_test.h>`
`#include "SDL_visualtest_variators.h"`

## Functions
int | SDLVisualTest_InitVariator (SDLVisualTest_Variator *variator, SDLVisualTest_SUTConfig *config, SDLVisualTest_VariatorType type, Uint64 seed)
char * | SDLVisualTest_GetNextVariation (SDLVisualTest_Variator *variator)
void | SDLVisualTest_FreeVariator (SDLVisualTest_Variator *variator)

## Detailed Description

Source file for the operations that act on variators.

## Function Documentation

void SDLVisualTest_FreeVariator | ( | SDLVisualTest_Variator * | variator) |  |

Frees any resources associated with the variator.

char* SDLVisualTest_GetNextVariation | ( | SDLVisualTest_Variator * | variator) |  |

Gets the next variation using the variator.

Returns
  The arguments string representing the variation on success, and NULL on failure. The pointer returned should not be freed.

int SDLVisualTest_InitVariator | ( | SDLVisualTest_Variator * | variator,
|  | SDLVisualTest_SUTConfig * | config,
|  | SDLVisualTest_VariatorType | type,
|  | Uint64 | seed
| ) |  |

Initializes the variator object pointed to by `variator` of type `type` with information from the config object pointed to by `config`.

Returns
  1 on success, 0 on failure